Package com.sap.ai.sdk.prompt.registry.model

# Class TemplateRefByScenarioNameVersion

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.TemplateRefByScenarioNameVersion

All Implemented Interfaces:
  `TemplateRefTemplateRef`

public class TemplateRefByScenarioNameVersion extends Object implements TemplateRefTemplateRef
TemplateRefByScenarioNameVersion

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TemplateRefByScenarioNameVersion.Builder`
  Builder helper class.
  `static interface`
  `TemplateRefByScenarioNameVersion.Builder1`
  Builder helper class.
  `static interface`
  `TemplateRefByScenarioNameVersion.Builder2`
  Builder helper class.
  `static enum`
  `TemplateRefByScenarioNameVersion.ScopeEnum`
  Defines the scope that is searched for the referenced template.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TemplateRefByScenarioNameVersion()`
  Default constructor for TemplateRefByScenarioNameVersion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TemplateRefByScenarioNameVersion.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `TemplateRefByScenarioNameVersion` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `TemplateRefByScenarioNameVersion`.
  `String`
  `getName()`
  Name of the template
  `String`
  `getScenario()`
  Scenario name
  `TemplateRefByScenarioNameVersion.ScopeEnum`
  `getScope()`
  Defines the scope that is searched for the referenced template.
  `String`
  `getVersion()`
  Version of the template
  `int`
  `hashCode()`
  `TemplateRefByScenarioNameVersion`
  `name(String name)`
  Set the name of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
  `TemplateRefByScenarioNameVersion`
  `scenario(String scenario)`
  Set the scenario of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
  `TemplateRefByScenarioNameVersion`
  `scope(TemplateRefByScenarioNameVersion.ScopeEnum scope)`
  Set the scope of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `TemplateRefByScenarioNameVersion` instance.
  `void`
  `setName(String name)`
  Set the name of this `TemplateRefByScenarioNameVersion` instance.
  `void`
  `setScenario(String scenario)`
  Set the scenario of this `TemplateRefByScenarioNameVersion` instance.
  `void`
  `setScope(TemplateRefByScenarioNameVersion.ScopeEnum scope)`
  Set the scope of this `TemplateRefByScenarioNameVersion` instance.
  `void`
  `setVersion(String version)`
  Set the version of this `TemplateRefByScenarioNameVersion` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `TemplateRefByScenarioNameVersion` instance including unrecognized properties.
  `String`
  `toString()`
  `TemplateRefByScenarioNameVersion`
  `version(String version)`
  Set the version of this `TemplateRefByScenarioNameVersion` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TemplateRefByScenarioNameVersion

    protected TemplateRefByScenarioNameVersion()
    Default constructor for TemplateRefByScenarioNameVersion.

- ## Method Details

  - ### scenario

    @Nonnull public TemplateRefByScenarioNameVersion scenario(@Nonnull String scenario)
    Set the scenario of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
    Parameters:
      `scenario` - Scenario name
    Returns:
      The same instance of this `TemplateRefByScenarioNameVersion` class

  - ### getScenario

    @Nonnull public String getScenario()
    Scenario name
    Returns:
      scenario The scenario of this `TemplateRefByScenarioNameVersion` instance.

  - ### setScenario

    public void setScenario(@Nonnull String scenario)
    Set the scenario of this `TemplateRefByScenarioNameVersion` instance.
    Parameters:
      `scenario` - Scenario name

  - ### name

    @Nonnull public TemplateRefByScenarioNameVersion name(@Nonnull String name)
    Set the name of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
    Parameters:
      `name` - Name of the template
    Returns:
      The same instance of this `TemplateRefByScenarioNameVersion` class

  - ### getName

    @Nonnull public String getName()
    Name of the template
    Returns:
      name The name of this `TemplateRefByScenarioNameVersion` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `TemplateRefByScenarioNameVersion` instance.
    Parameters:
      `name` - Name of the template

  - ### version

    @Nonnull public TemplateRefByScenarioNameVersion version(@Nonnull String version)
    Set the version of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
    Parameters:
      `version` - Version of the template
    Returns:
      The same instance of this `TemplateRefByScenarioNameVersion` class

  - ### getVersion

    @Nonnull public String getVersion()
    Version of the template
    Returns:
      version The version of this `TemplateRefByScenarioNameVersion` instance.

  - ### setVersion

    public void setVersion(@Nonnull String version)
    Set the version of this `TemplateRefByScenarioNameVersion` instance.
    Parameters:
      `version` - Version of the template

  - ### scope

    @Nonnull public TemplateRefByScenarioNameVersion scope(@Nullable TemplateRefByScenarioNameVersion.ScopeEnum scope)
    Set the scope of this `TemplateRefByScenarioNameVersion` instance and return the same instance.
    Parameters:
      `scope` - Defines the scope that is searched for the referenced template. 'tenant' indicates the template is shared across all resource groups within the tenant, while 'resource_group' indicates the template is only accessible within the specific resource group.
    Returns:
      The same instance of this `TemplateRefByScenarioNameVersion` class

  - ### getScope

    @Nonnull public TemplateRefByScenarioNameVersion.ScopeEnum getScope()
    Defines the scope that is searched for the referenced template. 'tenant' indicates the template is shared across all resource groups within the tenant, while 'resource_group' indicates the template is only accessible within the specific resource group.
    Returns:
      scope The scope of this `TemplateRefByScenarioNameVersion` instance.

  - ### setScope

    public void setScope(@Nullable TemplateRefByScenarioNameVersion.ScopeEnum scope)
    Set the scope of this `TemplateRefByScenarioNameVersion` instance.
    Parameters:
      `scope` - Defines the scope that is searched for the referenced template. 'tenant' indicates the template is shared across all resource groups within the tenant, while 'resource_group' indicates the template is only accessible within the specific resource group.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `TemplateRefByScenarioNameVersion`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `TemplateRefByScenarioNameVersion` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `TemplateRefByScenarioNameVersion` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `TemplateRefByScenarioNameVersion` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static TemplateRefByScenarioNameVersion.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `TemplateRefByScenarioNameVersion` instance with all required arguments.